Evince fails to print this PDF

Bug #461918 reported by Ketil Malde on 2009-10-27
46
This bug affects 9 people
Affects Status Importance Assigned to Milestone
evince (Ubuntu)
Low
Unassigned
Nominated for Karmic by Andreas

Bug Description

Binary package hint: evince

I'm trying to print this file, and evince has failed on the two printers (different makes) that I have available. It is possible the problem is elsewhere, since evince manages to generate a postscript file, however, the resulting postscirpt does not print (with lpr) either.

Evince hangs after printing page 1 for a long time, so I guess it's the image on page 2 that causes the problem. The print jobs are reported to be 38MB (and the generated postscript is 167MB), so perhaps it's just the size that's too large? Still thought I'd report it, these sizes shouldn't be insurmountable in this day and age.

Here's the document's URL:
  http://www.nature.com/nmeth/journal/v6/n11s/pdf/nmeth.f.268.pdf

Pedro Villavicencio (pedro) wrote :

Thanks for the report, which version of ubuntu are you using there? could you try the same with karmic? Thanks in advance.

Changed in evince (Ubuntu):
assignee: nobody → Ubuntu Desktop Bugs (desktop-bugs)
importance: Undecided → Low
status: New → Incomplete
Ketil Malde (ketil-ii) wrote :

Sorry. This is on karmic, evince --version gives: GNOME Document Viewer 2.28.1. Experience suggests Karmic made evince more picky about printing (i.e. it fails more often than it used to), but this is just a general impression, not hard data.

I can confirm this problem. I reported this as a new bug #479949, you can find another PDF that is not working there. Short summary: this problem occurs only on the 64-bit version of Ubuntu and not on the 32-bit version. Moreover, Adobe Reader prints those problematic PDFs just fine (maybe because it's a 32-bit version?).

Bryce Harrington (bryce) wrote :

I also find evince is not printing pdfs on ubuntu also amd64. The issue I see seems closer to Clemens' bug - evince closes the print dialog and displays no error so it *appears* the file went through correctly, but the printer never seems to see it. I'm not sure this is the same as the original bug report, because I don't see any hangs. Perhaps Clemen's bug is distinct from Ketil's and should be reopened?

Andreas (raffix) wrote :

I can confirm this problem on 64-Bit-Version of Karmic Koala, too. Several PDF files weren't print like Bryce Harrington told yet.
The bug is still in version 2.28.1-0ubuntu1.2

TimH (biotim) wrote :

This has been the biggest problem in karmic for me. (also amd64)
I have to switch to acroread when I want to print pdfs.

madbiologist (me-again) wrote :

Could everyone please try updating to the recently released libcairo2 1.8.8-2ubuntu1.1 package and see if it fixes your PDF printing issues?

Bryce Harrington (bryce) wrote :

I can confirm after upgrading from libcairo2 1.8.8-2ubuntu1 to 1.8.8-2ubuntu1.1 it went from not printing to printing.

$ apt-cache policy libcairo2
libcairo2:
  Installed: 1.8.8-2ubuntu1.1
  Candidate: 1.8.8-2ubuntu1.1

Thanks! At least for me, the issue seems resolved now.

madbiologist (me-again) on 2010-02-12
Changed in evince (Ubuntu):
status: Incomplete → Confirmed
zvaral (z-varallyay) wrote :

This bug is also presented in Lucid alpha3 with all the updates until today.

dpkg -l |grep evince
ii evince 2.29.91-0ubuntu1
uname -a
Linux hardnut 2.6.32-14-generic #20-Ubuntu SMP Sat Feb 20 05:18:19 UTC 2010 x86_64 GNU/Linux

Printing a 25MB pdf file with evince fails. Taking a look to /var/log/messages the following type of errors were obtained:

Mar 2 16:27:29 hardnut kernel: [14519.585892] type=1503 audit(1267543649.073:36): operation="chmod" info="Failed name lookup - deleted entry" error=-2 pid=10131 parent=1 profile="/usr/bin/evince" requested_mask="w::" denied_mask="w::" fsuid=1000 ouid=1000 name="/tmp/gtkprint_ppd_KHMW8U"

Printing only a few pages from the same file (7-8 pages) were successfully completed.

Sebastien Bacher (seb128) wrote :

the new comment seems a apparmor issue

bf (bflesch) wrote :

I'm affected from this issue aswell, using a network Printer (Samsung MD Series) on Lucid 64:

~$ dpkg -l | grep evince
ii evince 2.30.0-0ubuntu1 Document (postscript, pdf) viewer
ii python-evince 2.30.0-0ubuntu1 Python module for evince
~$ uname -a
Linux fritz 2.6.32-16-generic #25-Ubuntu SMP Tue Mar 9 16:33:12 UTC 2010 x86_64 GNU/Linux
~$ cat /etc/issue.net
Ubuntu lucid (development branch)

Getting this error message on every retry:
Apr 14 16:00:27 fritz kernel: [21258.199812] type=1503 audit(1271253627.507:16): operation="chmod" info="Failed name lookup - deleted entry" error=-2 pid=6914 parent=1 profile="/usr/bin/evince" requested_mask="w::" denied_mask="w::" fsuid=1000 ouid=1000 name="/tmp/gtkprint_ppd_XML0AV"
Apr 14 16:08:34 fritz kernel: [21745.240783] type=1503 audit(1271254114.557:17): operation="chmod" info="Failed name lookup - deleted entry" error=-2 pid=6914 parent=1 profile="/usr/bin/evince" requested_mask="w::" denied_mask="w::" fsuid=1000 ouid=1000 name="/tmp/gtkprint_ppd_EZ6FBV"
Apr 14 16:08:54 fritz kernel: [21764.874630] type=1503 audit(1271254134.187:18): operation="chmod" info="Failed name lookup - deleted entry" error=-2 pid=7021 parent=1 profile="/usr/bin/evince" requested_mask="w::" denied_mask="w::" fsuid=1000 ouid=1000 name="/tmp/gtkprint_ppd_JYJ7AV"
Apr 14 16:15:57 fritz kernel: [22188.031956] type=1503 audit(1271254557.347:19): operation="chmod" info="Failed name lookup - deleted entry" error=-2 pid=7021 parent=1 profile="/usr/bin/evince" requested_mask="w::" denied_mask="w::" fsuid=1000 ouid=1000 name="/tmp/gtkprint_ppd_CUDYAV"

~$ apt-cache policy libcairo2
libcairo2:
  Installiert: 1.8.10-2ubuntu1
  Kandidat: 1.8.10-2ubuntu1
  Versions-Tabelle:
 *** 1.8.10-2ubuntu1 0
        500 http://de.archive.ubuntu.com/ubuntu/ lucid/main Packages
        100 /var/lib/dpkg/status

Ketil Malde (ketil-ii) wrote :

Apparently, Nature papers are particularly challenging. I just tried this one, on Lucid 64bit:
http://www.nature.com/nature/journal/v464/n7291/pdf/nature08923.pdf

Evince prints odd pages upside down (doublesided print), and staples the bottom left corner (on the front page). xpdf prints single-sided only, but correctly oriented and stapled.

I just tried printing the second Nature paper (nature08923.pdf) and on our system it works. Maybe this is a low-RAM issue: I noticed that RAM uses went straight up when I printed the PDF.

Phil-ganchev (phil-ganchev) wrote :

Evince 2.32.0 prints that document fine on my Karmic 32-bit, but it takes about 2 minutes of processing I have a dual 2GHz Pentium processor. Evince still reports a problem while it is processing but later the printer prints the document correctly.

Ketil Malde (ketil-ii) wrote :

Interestingly, I generated two PDFs with xelatex, identical except for including a PNG image. Both documents look okay in Evince, but the one with the image prints the reverse (even numbered) pages upside down. Unfortunately, I can't attach the documents here, but contact me privately (ketil a malde d org) if you would like a copy to debug this.

Ketil Malde (ketil-ii) wrote :

I should add to the above that the incorrect version also has substantially inferior font rendering - downright ugly.

Ketil Malde, thank you for reporting this bug to Ubuntu. Karmic reached EOL on April 30, 2011.
See this document for currently supported Ubuntu releases: https://wiki.ubuntu.com/Releases

Is this an issue on a supported release? If so, please reopen this report, attach a document this is reproducible with (not post a URL), and execute the following at a terminal:
apport-collect 461918

Changed in evince (Ubuntu):
assignee: Ubuntu Desktop Bugs (desktop-bugs) → nobody
status: Confirmed → Invalid

> Is this an issue on a supported release? If so, please reopen this
> report, attach a document this is reproducible with (not post a URL),
> and execute the following at a terminal:

I am unable to test this. For printing, I have to specify a different
user name (in .cups/client.conf), and as that is only supported by 'lp',
not evince or xpdf (I think), I can no longer print directly from
applications.

-k
--
If I haven't seen further, it is by standing in the footprints of giants

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers